#include "token.h"

// Translation from enum values to strings
static const char *ttstrs[25] =
    {"floatsym", "semisym", "boolsym", "becomessym", "commasym",
     "lcurlysym", "rcurlysym", "identsym", "assignsym", "ifsym",
     "lparensym", "rparensym", "readsym", "writesym", "exclaimsym",
     "eqeqsym", "neqsym", "ltsym", "leqsym", "plussym",
     "minussym", "multsym", "divsym", "numbersym", "eofsym"};

// Return the name of the token_type enum
// corresponding to the given token_type value
const char *ttyp2str(token_type ttyp)
{
    return ttstrs[ttyp];
}
